=== modified file 'lib/lp/translations/doc/poimport.txt'
--- lib/lp/translations/doc/poimport.txt	2011-05-27 19:53:20 +0000
+++ lib/lp/translations/doc/poimport.txt	2011-09-26 06:49:22 +0000
@@ -133,22 +133,10 @@
     >>> potemplate.date_last_updated > saved_date
     True
 
-A successful import is confirmed by email.
+We don't send mail about successful imports.
 
     >>> print subject
-    Translation template import - ...
-
-    >>> print body
-    Hello Mark Shuttleworth,
-    <BLANKLINE>
-    On ..., you uploaded a translation
-    template for ... in Launchpad.
-    <BLANKLINE>
-    The template has now been imported successfully.
-    <BLANKLINE>
-    Thank you,
-    <BLANKLINE>
-    The Launchpad team
+    None
 
 Since there was no error, the queue entry's error_output is blank.
 

=== modified file 'lib/lp/translations/model/potemplate.py'
--- lib/lp/translations/model/potemplate.py	2011-09-15 11:35:28 +0000
+++ lib/lp/translations/model/potemplate.py	2011-09-25 02:26:18 +0000
@@ -932,7 +932,10 @@
 
         rosetta_experts = getUtility(ILaunchpadCelebrities).rosetta_experts
         subject = 'Translation template import - %s' % self.displayname
-        template_mail = 'poimport-template-confirmation.txt'
+        # Can use template_mail = 'poimport-template-confirmation.txt' to send
+        # mail when everything is imported, but those mails aren't very useful
+        # to or much welcomed by the recipients.  See bug 855150.
+        template_mail = None
         errors, warnings = None, None
         try:
             errors, warnings = translation_importer.importFile(
@@ -1010,9 +1013,13 @@
                         logger.warn(
                             "Statistics update failed: %s" % unicode(error))
 
-        template = helpers.get_email_template(template_mail, 'translations')
-        message = template % replacements
-        return (subject, message)
+        if template_mail is not None:
+            template = helpers.get_email_template(
+                template_mail, 'translations')
+            message = template % replacements
+            return (subject, message)
+        else:
+            return None, None
 
     def getTranslationRows(self):
         """See `IPOTemplate`."""

